Bug 175951

Summary: Web Inspector: Views should explicitly remove event listeners from managers/Frame
Product: WebKit Reporter: Ross Kirsling <ross.kirsling>
Component: Web InspectorAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bburg, commit-queue, inspector-bugzilla-changes, joepeck, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch
none
Patch none

Description Ross Kirsling 2017-08-24 12:55:41 PDT
(Based on an IRC conversation with JoePeck.)

Although some views have a single persistent instance, ideally any event listeners attached to managers and the like should still be cleaned up in closed().
Comment 1 Ross Kirsling 2017-08-24 13:39:47 PDT
Created attachment 319015 [details]
Patch
Comment 2 BJ Burg 2017-10-09 11:32:06 PDT
Comment on attachment 319015 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=319015&action=review

r=me. Please rebase and upload a new patch to EWS before landing.

> Source/WebInspectorUI/UserInterface/Views/QuickConsole.js:106
> +

Technically outside the scope of this patch, but this should also unregister from WI.consoleDrawer and WI.TabBrowser.
Comment 3 Ross Kirsling 2017-10-10 11:43:01 PDT
Created attachment 323327 [details]
Patch
Comment 4 WebKit Commit Bot 2017-10-10 12:24:07 PDT
Comment on attachment 323327 [details]
Patch

Clearing flags on attachment: 323327

Committed r223137: <http://trac.webkit.org/changeset/223137>
Comment 5 WebKit Commit Bot 2017-10-10 12:24:08 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2017-10-10 12:25:31 PDT
<rdar://problem/34916512>